shishi_priv_set_enc_part(3)

NAME
shishi_priv_set_enc_part - API function

SYNOPSIS
#include <shishi.h>

int shishi_priv_set_enc_part(Shishi * handle, Shishi_asn1 priv, int32_t etype, const char * encpart, size_t encpartlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 priv
    priv as allocated by shishi_priv().

int32_t etype
    input encryption type to store in PRIV.

const char * encpart
    input encrypted data to store in PRIV.

size_t encpartlen
    size of input encrypted data to store in PRIV.

DESCRIPTION
Store encrypted data in PRIV. The encrypted data is usually created by calling shishi_encrypt() on some application specific data using the key from the ticket that is being used. To save time, you may want to use shishi_priv_build() instead, which encryptes the data and calls this function in one step.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.